## AgsServiceProvider

AgsServiceProvider — service provider interface

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_service_provider_is_operating ()
AgsServerStatus * | ags_service_provider_server_status ()
void | ags_service_provider_set_registry ()
AgsRegistry * | ags_service_provider_get_registry ()
void | ags_service_provider_set_server ()
GList * | ags_service_provider_get_server ()

## Object Hierarchy

        GInterface
        ╰── AgsServiceProvider

## Includes

    #include <ags/server/ags_service_provider.h>

## Description

The AgsServiceProvider gives you unique access to HTTP server instances.

## Functions

### ags_service_provider_is_operating ()

    gboolean
    ags_service_provider_is_operating (AgsServiceProvider *service_provider);

Check if is operating.

#### Parameters

service_provider | the AgsServiceProvider |

#### Returns

`TRUE` if operating, otherwise `FALSE`

Since: 3.0.0

### ags_service_provider_server_status ()

    AgsServerStatus *
    ags_service_provider_server_status (AgsServiceProvider *service_provider);

Get server status.

#### Parameters

service_provider | the AgsServiceProvider |

#### Returns

the AgsServerStatus

Since: 3.0.0

### ags_service_provider_set_registry ()

    void
    ags_service_provider_set_registry (AgsServiceProvider *service_provider,
                                       AgsRegistry *registry);

Set registry.

#### Parameters

service_provider | the AgsServiceProvider |
registry | the AgsRegistry |

Since: 3.0.0

### ags_service_provider_get_registry ()

    AgsRegistry *
    ags_service_provider_get_registry (AgsServiceProvider *service_provider);

Get registry.

#### Parameters

service_provider | the AgsServiceProvider |

#### Returns

the AgsRegistry

Since: 3.0.0

### ags_service_provider_set_server ()

    void
    ags_service_provider_set_server (AgsServiceProvider *service_provider,
                                     GList *server);

Set server.

#### Parameters

service_provider | the AgsServiceProvider |
server | the GList containing AgsServer. | [element-type Ags.Server]

Since: 3.0.0

### ags_service_provider_get_server ()

    GList *
    ags_service_provider_get_server (AgsServiceProvider *service_provider);

Get server.

#### Parameters

service_provider | the AgsServiceProvider |

#### Returns

the GList containing AgsServer.

[element-type Ags.Server][transfer full]

Since: 3.0.0